Projects
All API Operations related with projects
READ Scope
Retrieves all the projects
Authorizations
AuthorizationstringRequired
API Key Authentication
Responses
200
OK
application/json
successbooleanOptional
errorsstring[] · nullableOptional
get/v1/project
GET /v1/project HTTP/1.1
Host: api.nuvio.io
Authorization: YOUR_API_KEY
Accept: */*
200
OK
{
"success": true,
"errors": [
"text"
],
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"budget": 1,
"startDate": "text",
"endDate": "text",
"code": "text"
}
]
}Retrieves a single product or service by its unique ID or user-generated project code.
Authorizations
AuthorizationstringRequired
API Key Authentication
Path parameters
idstringRequired
Responses
200
OK
application/json
successbooleanOptional
errorsstring[] · nullableOptional
get/v1/project/{id}
GET /v1/project/{id} HTTP/1.1
Host: api.nuvio.io
Authorization: YOUR_API_KEY
Accept: */*
200
OK
{
"success": true,
"errors": [
"text"
],
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"budget": 1,
"startDate": "text",
"endDate": "text",
"code": "text"
}
}WRITE Scope
Creates a new project
Authorizations
AuthorizationstringRequired
API Key Authentication
Body
namestring · min: 1Required
Name of the project
startDatestringOptional
Starting date of the project. Should be in YYYY-MM-DD format
endDatestringOptional
Ending date of the project. Should be in YYYY-MM-DD format
projectCodestringOptional
Name of the project
budgetnumber · double · nullableOptional
Total budget of the project.
Responses
200
OK
application/json
successbooleanOptional
errorsstring[] · nullableOptional
post/v1/project
POST /v1/project HTTP/1.1
Host: api.nuvio.io
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 83
{
"name": "text",
"startDate": "text",
"endDate": "text",
"projectCode": "text",
"budget": 1
}200
OK
{
"success": true,
"errors": [
"text"
],
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"budget": 1,
"startDate": "text",
"endDate": "text"
}
}UPDATE Scope
Updates an existing project
Authorizations
AuthorizationstringRequired
API Key Authentication
Path parameters
idstring · uuidRequired
Body
namestringOptional
Name of the project
startDatestringOptional
Starting date of the project. Should be in YYYY-MM-DD format
endDatestringOptional
Ending date of the project. Should be in YYYY-MM-DD format
projectCodestringOptional
Name of the project
budgetnumber · double · nullableOptional
Total budget of the project.
Responses
200
OK
application/json
successbooleanOptional
errorsstring[] · nullableOptional
put/v1/project/{id}
PUT /v1/project/{id} HTTP/1.1
Host: api.nuvio.io
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 83
{
"name": "text",
"startDate": "text",
"endDate": "text",
"projectCode": "text",
"budget": 1
}200
OK
{
"success": true,
"errors": [
"text"
],
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"budget": 1,
"startDate": "text",
"endDate": "text"
}
}Last updated